## pcb-rnd 2.2.3

=== doc/Makefile ===
MENU_RES=../src/pcb-menu-default.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh
ROOT=..

all: keys.html user/05_ui/04_common/keytree.svg user/05_ui/04_common/keytree.txt
	ROOT="" ./Autostyle.sh *.html

include ../Makefile.conf

user/05_ui/04_common/keytree.svg: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --dot user/05_ui/04_common/src/node_names.txt $(MENU_RES) > user/05_ui/04_common/keytree.dot
	dot -Tsvg < user/05_ui/04_common/keytree.dot >user/05_ui/04_common/keytree.svg

user/05_ui/04_common/keytree.txt: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --lst $(MENU_RES) > user/05_ui/04_common/keytree.txt


keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

install_main:
	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)"
	cd man && $(MAKE) install
	cd user && $(MAKE) install
	cd tutorials && $(MAKE) install
	cd security && $(MAKE) install
	cd conf && $(MAKE) install
	cd developer && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd man && $(MAKE) linstall
	cd user && $(MAKE) linstall
	cd tutorials && $(MAKE) linstall
	cd security && $(MAKE) linstall
	cd conf && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd man && $(MAKE) uninstall
	cd user && $(MAKE) uninstall
	cd tutorials && $(MAKE) uninstall
	cd security && $(MAKE) uninstall
	cd conf && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd man && $(MAKE) clean
	cd user && $(MAKE) clean
	cd tutorials && $(MAKE) clean
	cd security && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd developer && $(MAKE) clean

distclean:
	cd man && $(MAKE) distclean
	cd user && $(MAKE) distclean
	cd tutorials && $(MAKE) distclean
	cd security && $(MAKE) distclean
	cd conf && $(MAKE) distclean
	cd developer && $(MAKE) distclean

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
SRC=src
BIN=src

#  what cflags to use to compile scconfig
USER_CFLAGS = -DGENCALL -Isrc
#USER_CFLAGS = -Wall -Wextra -g -DGENCALL -Isrc

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = src/util/arg_auto_set.o

#  what to build - a ./configure
all: configure cquote

# This line imports scconfig core and default tests
include src/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
include src/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include src/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
# include src/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include src/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include src/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
include src/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include src/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
include src/gui/Makefile.plugin

#  Comment this line if you do not need software utility libs (glib)
include src/sul/Makefile.plugin

#  Uncomment this line if you need menus
include src/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating)
include src/generator/Makefile.plugin.legacy

#  Comment this line if you do not need tmpasm (templating)
include src/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(SUL_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -Isrc/default -I.
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)

all: configure revtest sccbox

revtest: revtest.o
	$(CC) -o revtest revtest.o

revtest.o: revtest.c  Rev.h
	$(CC) -c $(CFLAGS) -o revtest.o revtest.c

configure: $(OBJS)  $(DEFAULT_MAIN_OBJS)
	$(CC) -o configure $(OBJS)  $(DEFAULT_MAIN_OBJS)

menuconfig: menucfg
	./menucfg

menucfg: $(OBJS) $(MENULIB_OBJS) src/default/main_lib.o src/default/main_custom_args.o menucfg.o src/util/arg_auto_menu.o src/util/arg_auto_set.o
	$(CC) -o menucfg $(OBJS) $(MENULIB_OBJS) menucfg.o src/default/main_lib.o src/default/main_custom_args.o src/util/arg_auto_menu.o

menucfg.o: menucfg.c
	$(CC) -c $(CFLAGS) -o menucfg.o menucfg.c

RNDHOOKS=librnd/scconfig/plugin_3state.h librnd/scconfig/hooks_common.h librnd/scconfig/hooks_gui.c librnd/scconfig/rnd_hook_detect.h
hooks.o: hooks.c $(RNDHOOKS)  plugins.h Rev.h ../src_3rd/puplug/scconfig_hooks.h ../src_3rd/libfungw/scconfig_hooks.h ../src_3rd/libporty_net/hooks_net.c

src/util/arg_auto_set.o: src/util/arg_auto_set.c src/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o src/util/arg_auto_set.o src/util/arg_auto_set.c

src/util/sccbox.o: src/util/sccbox.c
	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c

sccbox: src/util/sccbox.o
	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o

cquote: src/util/cquote.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o cquote src/util/cquote.c

clean:
	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o

distclean:
	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox gmon.out ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
	-$(MAKE) clean

=== tests/Makefile ===
test:
	cd RTT && $(MAKE) all && $(MAKE) test
	cd pcbflags && $(MAKE) all && $(MAKE) test
	cd conf && $(MAKE) all && $(MAKE) test
	cd strflags && $(MAKE) all && $(MAKE) test
	cd pcb-printf && $(MAKE) all && $(MAKE) test
	cd uniq_name && $(MAKE) all && $(MAKE) test
	cd propedit && $(MAKE) all && $(MAKE) test
	cd remote && $(MAKE) all && $(MAKE) test
	cd drc_pstk_hbrk && $(MAKE) all && $(MAKE) test
# This uses make instead of $(MAKE) on purpose as a "portbale" -j1 to work aroudn GNU make
	cd librnd && make all && make test
#	cd gsch2pcb-rnd && $(MAKE) all && $(MAKE) test
	cd drc_query && $(MAKE) test
	cd query && $(MAKE) test
	@echo " "
	@echo "+-------------------------------------------------+"
	@echo "+  All tests passed, pcb-rnd is safe to install.  +"
	@echo "+-------------------------------------------------+"

clean:
	cd RTT && $(MAKE) clean
	cd pcbflags && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd strflags && $(MAKE) clean
	cd pcb-printf && $(MAKE) clean
	cd uniq_name && $(MAKE) clean
	cd propedit && $(MAKE) clean
	cd remote && $(MAKE) clean
	cd drc_pstk_hbrk && $(MAKE) clean
	cd librnd && $(MAKE) clean
#	cd gsch2pcb-rnd && $(MAKE) clean
	cd drc_query && $(MAKE) clean
	cd query && $(MAKE) clean

=== util/Makefile ===
# plain old hand crafted Makefile
ROOT=..

all:
	cd gsch2pcb-rnd && $(MAKE) all
	cd bxl2txt && $(MAKE) all

include $(ROOT)/Makefile.conf

clean:
	cd gsch2pcb-rnd && $(MAKE) clean
	cd bxl2txt && $(MAKE) clean

distclean:
	cd gsch2pcb-rnd && $(MAKE) distclean

install_all:
	$(SCCBOX) mkdir -p  "$(BINDIR)" "$(LIBDIR)"
	$(SCCBOX) $(HOW) "fp2preview" "$(BINDIR)/fp2preview"
	$(SCCBOX) $(HOW) "fp2subc" "$(BINDIR)/fp2subc"
	$(SCCBOX) $(HOW) "pcb-prj2lht" "$(BINDIR)/pcb-prj2lht"
	$(SCCBOX) $(HOW) "pcb-rnd-svg" "$(BINDIR)/pcb-rnd-svg"
	$(SCCBOX) $(HOW) "gnet-pcbrndfwd.scm" "$(LIBDIR)/gnet-pcbrndfwd.scm"
	$(SCCBOX) $(HOW) "gnet-pcbrndfwd_elem.scm" "$(LIBDIR)/gnet-pcbrndfwd_elem.scm"

install:
	$(MAKE) install_all HOW="install -f"
	cd gsch2pcb-rnd && $(MAKE) install
	cd bxl2txt && $(MAKE) install

linstall:
	$(MAKE) install_all HOW="linstall -f"
	cd gsch2pcb-rnd && $(MAKE) linstall
	cd bxl2txt && $(MAKE) linstall

uninstall:
	$(MAKE) install_all HOW="uninstall"
	cd gsch2pcb-rnd && $(MAKE) uninstall
	cd bxl2txt && $(MAKE) uninstall

=== src_3rd/libporty_net/Makefile ===
#CFLAGS = -Wall -O3

libportytcp4.o: libportytcp4.c libportytcp4.h

libportytcp4.c libportytcp4.h: concat.sh
	./concat.sh

=== tests/conf/Makefile ===
ROOT=../..
include $(ROOT)/src/librnd/core/librnd.mak
include $(ROOT)/Makefile.conf

CFLAGS = $(PCB_RND_C89FLAGS) -I../.. -I../../src_3rd -I../../src $(CFLAGS_LIBRND_FUNGW)
LDLIBS = -lm $(LDFLAGS_LIBRND_FUNGW)

LIB_HIDLIB=\
	../../src/librnd-hid.a \
	../../src/librnd-3rd.a

#LIBGENHT=\
#	../../src_3rd/genht/hash.o \
#	../../src_3rd/genht/htsp.o \
#	../../src_3rd/genht/htsi.o \
#	../../src_3rd/genht/htpp.o \
#	../../src_3rd/genht/htpi.o \

LIB_PCBRND_OBJS=\
	../../src_plugins/diag/diag_conf.o \
	../../src/conf_core.o \
	../../src/conf_internal.o

DEPH = \
	../../src/librnd/core/conf.h \
	../../src/librnd/core/conf_hid.h \
	../../src/librnd/core/compat_misc.h \
	../../src/conf_core.h \
	../../src_plugins/diag/diag_conf.h \

OBJS = conftest.o help.o

all: conftest

conftest: $(OBJS) $(LIB_HIDLIB) $(LIB_PCBRND_OBJS) $(LIBGENHT)
	$(CC) $(LDFLAGS) $(OBJS) $(LIB_PCBRND_OBJS) $(LIB_HIDLIB)  $(LIBGENHT) $(LDLIBS) -o conftest

conftest.o: conftest.c $(DEPH)
	$(CC) $(CFLAGS) -c conftest.c -o conftest.o

help.o: help.c

$(LIB_HIDLIB):
	cd ../../src && make

test:
	cd tests && $(MAKE) all

clean:
	-$(SCCBOX) rm -f conftest tests/*.out ../../src_plugins/diag/diag_conf.o $(OBJS)

=== tests/io_bxl/Makefile ===
ROOT=../..
PLG=$(ROOT)/src_plugins/io_bxl
#TODO: pick up config cflags and ldflags
CFLAGS = -g -Wall -I$(PLG) -I$(ROOT)/src -I$(ROOT)/src_3rd -I$(ROOT)
LDFLAGS = -lm

test_parse: test_parse.o glue.o $(PLG)/bxl_lex.o $(PLG)/bxl_gram.o $(ROOT)/src/librnd-hid.a $(ROOT)/src/librnd-3rd.a

#$(PLG)/bxl_lex.c $(PLG)/bxl_lex.h: $(PLG)/bxl_lex.ul $(PLG)/bxl_gram.h $(PLG)/bxl.h
#	ureglex -l $(PLG)/bxl_lex.ul -c $(PLG)/bxl_lex.c -h $(PLG)/bxl_lex.h

#$(PLG)/bxl_gram.c $(PLG)/bxl_gram.h: $(PLG)/bxl_gram.y
#	byaccic -v $(PLG)/bxl_gram.desc -o $(PLG)/bxl_gram.c -H $(PLG)/bxl_gram.h $(PLG)/bxl_gram.y

test_parse.o: $(PLG)/bxl_gram.h $(PLG)/bxl_lex.h

=== tests/librnd/Makefile ===
TRUNK = ../..
LIBRND_ROOT=include/$(HL_LIBDIR)/..

include $(TRUNK)/Makefile.conf
include $(TRUNK)/src/librnd/core/librnd.mak

CFLAGS = $(PCB_RND_C89FLAGS) $(CFLAGS_LIBRND)
LDFLAGS = $(LDFLAGS_LIBRND)
LIBRND = include/$(HL_LIBDIR)/librnd-poly.a include/$(HL_LIBDIR)/librnd-hid.a include/$(HL_LIBDIR)/librnd-3rd.a

all: librnd_test librnd_includes

test: librnd_test librnd_includes
	./librnd_test --gui batch
	./librnd_includes

librnd_test: librnd_test.o $(LIBRND)
	$(CC) -o librnd_test librnd_test.o $(LIBRND) $(LDFLAGS)

librnd_test.o: librnd_test.c includes
	$(CC) $(CFLAGS) -c -o librnd_test.o librnd_test.c

librnd_includes: librnd_includes.o $(LIBRND)
	$(CC) -o librnd_includes librnd_includes.o $(LIBRND) $(LDFLAGS)

librd_includes.o: librnd_includes.c includes

$(LIBRND) includes: ../../src/Makefile ../../src/pcb-rnd
	TDIR=`pwd` && cd ../../src && $(MAKE) && $(MAKE) install_librnd HOW="install -f" DESTDIR=$$TDIR/include PREFIX=

clean:
	-rm librnd_test librnd_test.o librnd_includes librnd_includes.o
	TDIR=`pwd` && cd ../../src && $(MAKE) install_librnd_ HOW="uninstall -f" DESTDIR=$$TDIR/include PREFIX=

=== tests/pcb-printf/Makefile ===
TRUNK = ../..

all: tester tester_spd prcli prclimq

ROOT=../..
include $(ROOT)/Makefile.conf

SRC=$(TRUNK)/src
LIBRND=$(SRC)/librnd
CFLAGS_OP = -O3
CFLAGS = $(PCB_RND_C89FLAGS) -I$(TRUNK) -I$(SRC) -I$(TRUNK)/src_3rd -I$(TRUNK)/src_3rd/liblihata
LDLIBS = -lm

GDS= $(TRUNK)/src_3rd/genvector/gds_char.o
LIBPCB_BASE= $(LIBRND)/core/unit.o $(LIBRND)/core/compat_misc.o


test: tester.diff
	@echo "pcb-printf:          *** QC PASS ***"
	@rm tester.stdout ; true

prcli: prcli.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(GDS)
	$(CC) $(LDFLAGS) -o prcli prcli.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(GDS) $(LDLIBS)

prclimq: prclimq.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(GDS)
	$(CC) $(LDFLAGS) -o prclimq prclimq.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(GDS) $(LDLIBS)

prcli.o: prcli.c
	$(CC) -c $(CFLAGS) prcli.c -o prcli.o

prclimq.o: prclimq.c
	$(CC) -c $(CFLAGS) prclimq.c -o prclimq.o

tester: tester.o $(LIBRND)/core/rnd_printf.o $(LIBPCB_BASE)  $(GDS)
	$(CC) $(LDFLAGS) -o tester tester.o $(LIBRND)/core/rnd_printf.o $(LIBPCB_BASE)  $(GDS) $(LDLIBS)

tester_spd: tester_spd.o $(LIBRND)/core/rnd_printf_spd.o $(LIBPCB_BASE) $(GDS)
	$(CC) $(LDFLAGS) -o tester_spd tester_spd.o $(LIBRND)/core/rnd_printf_spd.o $(LIBPCB_BASE) $(GDS) $(LDLIBS)

tester.o: tester.c
	$(CC) -c $(CFLAGS) -o $@ tester.c

tester_spd.o: tester.c
	$(CC) -c $(CFLAGS_OP) -DSPEED $(CFLAGS) -o $@ tester.c

tester.stdout: tester
	./tester > tester.stdout

tester.diff: tester.stdout
	diff -u tester.ref tester.stdout

$(LIBRND)/core/rnd_printf.o: $(LIBRND)/core/rnd_printf.c $(LIBRND)/core/rnd_printf.h

$(LIBRND)/core/unit.o: $(LIBRND)/core/unit.c $(LIBRND)/core/unit.h

$(LIBRND)/core/rnd_printf_spd.o: $(LIBRND)/core/rnd_printf.c $(LIBRND)/core/rnd_printf.h
	$(CC) -c $(CFLAGS_OP) -DSPEED $(CFLAGS) -o $@ $(LIBRND)/core/rnd_printf.c

clean:
	-$(SCCBOX) rm -f tester tester.o prcli prcli.o tester_spd tester_spd.o prclimq prclimq.o $(LIBRND)/core/rnd_printf_spd.o

=== tests/propedit/Makefile ===
all: tester

ROOT=../..
include $(ROOT)/Makefile.conf

PED=$(ROOT)/src_plugins/propedit
LHT=$(ROOT)/src_3rd
SRC=$(ROOT)/src
LIBRND=$(SRC)/librnd

CFLAGS = $(PCB_RND_C89FLAGS) -I$(PED) -I$(LHT) -I$(SRC) -I$(ROOT) -I$(ROOT)/src_3rd
LDLIBS = -lm
LIB_OBJS = \
 $(LHT)/genht/htsp.o \
 $(LHT)/genht/hash.o \
 $(LIBRND)/core/compat_misc.o \
 $(LIBRND)/core/misc_util.o \
 $(LIBRND)/core/rnd_printf.o \
 $(LIBRND)/core/unit.o \
 $(ROOT)/src_3rd/genvector/gds_char.o

OBJS = tester.o $(PED)/props.o


test: tester.diff
	@echo "propedit:            *** QC PASS ***"
	@rm tester.out

tester: $(OBJS) $(LIB_OBJS)
	$(CC) $(LDFLAGS) -o tester $(OBJS) $(LIB_OBJS)  $(LDLIBS)

tester.o: tester.c $(PED)/props.h

$(PED)/props.o: $(PED)/props.c $(PED)/props.h

tester.diff: tester.ref tester.out
	@diff -u tester.ref tester.out

tester.out: tester
	./tester > tester.out

clean:
	-$(SCCBOX) rm -f tester.out tester $(OBJS)

=== tests/remote/Makefile ===
all: test_parse

ROOT=../..
include $(ROOT)/Makefile.conf
REM=$(ROOT)/src_plugins/hid_remote
CFLAGS = $(PCB_RND_C89FLAGS) -g -I$(REM) -I$(ROOT)/src -I$(ROOT)


test_parse: test_parse.o
	$(CC) $(LDFLAGS) -o test_parse test_parse.o  $(LDLIBS)

test_parse.o: test_parse.c $(REM)/proto_lowcommon.h $(REM)/proto_lowparse.h $(REM)/proto_lowdbg.h

test:
	@./test_all.sh

clean:
	-$(SCCBOX) rm -f test_parse test_parse.o

=== tests/strflags/Makefile ===
include ../../Makefile.conf

TRUNK=../..
IO=$(TRUNK)/src_plugins/io_pcb
CFLAGS = $(PCB_RND_C89FLAGS) -O3 -I$(TRUNK) -I$(TRUNK)/src -I$(IO) -I$(TRUNK)/src_3rd
LDLIBS = -lm
GDS= $(TRUNK)/src_3rd/genvector/gds_char.o

all: tester

ROOT=../..
include $(ROOT)/Makefile.conf

test: tester.diff
	@echo "strflags:            *** QC PASS ***"
	@rm tester.stdout

tester: tester.o $(GDS)
	$(CC) $(LDFLAGS) -o tester tester.o $(GDS) $(LDLIBS)

tester.o: tester.c
	$(CC) -c $(CFLAGS) -o $@ tester.c

tester.stdout: tester
	./tester > tester.stdout

tester.diff: tester.stdout
	diff -u tester.ref tester.stdout

clean:
	-$(SCCBOX) rm -f tester tester.o

=== debian/changelog ===
pcb-rnd (2.2.3-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Jul 2020 11:36:32 -0600

pcb-rnd (2.2.1-2) unstable; urgency=medium

  * add Breaks for each Replaces to avoid policy violating partial upgrades,
    closes: #960508

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 May 2020 12:46:59 -0600

pcb-rnd (2.2.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 22 Apr 2020 22:15:03 -0600

=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), gettext, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev
Standards-Version: 4.1.3
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-io-standard, pcb-rnd-io-alien, pcb-rnd-hid-gtk2-gl, pcb-rnd-hid-gtk2-gdk, pcb-rnd-export, pcb-rnd-export-sim, pcb-rnd-export-extra, pcb-rnd-auto, pcb-rnd-extra, pcb-rnd-cloud, pcb-rnd-doc, pcb-rnd-import-net
Suggests: geda-gnetlist
Description: Standard installation of pcb-rnd
 pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
 with a rich set of plugins for communicating with various external
 design tools and other EDA/CAD packages.
 .
 Feature highlights:
   - subcircuits, pad stacks
   - flexible footprint model; unrestricted pad shapes
   - arbitrary copper, silk, paste and soldermask objects
   - sophisticated, flexible layer model
   - flexible/universal polygon model
   - any object, even polygons, can have a clearance within a polygon
   - advanced mil and mm grid, with support for mixed unit design
   - strong CLI support
   - static footprints and parametric (generated) footprints
   - query language for advanced search & select
   - powerful, user scriptable, modular Design Rule Checker (DRC)
   - layout optimizers such as teardrops and a trace puller
   - footprint library from local file systems, HTTP and board files
   - netlist management: imported and as-built; back annotation
   - design rule checker
 .
 File formats and compatibility:
   - text based, tree structured native file format
   - gerber (export)
   - KiCad, s-expr format boards (read, write)
   - KiCad, s-expr format elements (write)
   - KiCad, legacy text format boards (write)
   - KiCad, eeschema netlist+footprint info (import)
   - tEDAx footprints (read, write)
   - tEDAx netlist (read)
   - BXL footprints (import)
   - Autotrax (protel) pcb boards (read, write)
   - Eagle XML format boards and libraries (read)
   - Eagle binary format boards and libraries (read)
   - Eagle DRU files (read)
   - Mentor Graphics Hyperlynx (read/write)
   - gEDA/PCB (read, write)
   - Specctra DSN (partial import/export, for freerouting.net)
   - flat EDIF netlist (import)
   - HPGL plot files (import)
   - openSCAD colored 3d model script (export)
   - ltspice netlist+footprint info (import)
   - Mentor Graphics Design Capture netlist+footprint info (import)
   - MUCS unixplot (partial import: lines, vias)
   - gEDA/gschem netlist+footprint info (import)
   - TinyCAD netlist+footprint info (import)
   - breadboard assembly drawing png (export)
   - BoM (Bill of Materials; export)
   - dxf, 2d drawings (export)
   - fidocadj board (export)
   - gcode (export)
   - PNG, JPEG, GIF (export with photo-realistic render option)
   - postscript: ps, eps (export)
   - svg (export)
   - xy: template based, multi-format footprint/coord list (export)

Package: pcb-rnd-debug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Debug and diagnostics.
 Extra action commands to help debugging and diagnostize problems and
 bugs.

Package: pcb-rnd-export
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Common export plugins.
 Export the board in vector graphics (svg, ps, eps), raster graphics
 (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
 place, BoM, etc.

Package: pcb-rnd-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Documentation for pcb-rnd
 User manual (html) and manual pages.

Package: pcb-rnd-export-sim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Export plugins to simulators
 Export the board in formats that can be used for simulation: openems.

Package: pcb-rnd-lib-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Support library for rendering with opengl.
 Provides plugins for driving an opengl output, rendering pcb-rnd
 views on opengl.

Package: pcb-rnd-import-geo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Geometry import plugins.
 Import geometry from HPGL plots. HPGL can be produced (plotted) with
 most mechanical cads.

Package: pcb-rnd-hid-gtk2-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-gtk, pcb-rnd-lib-gl
Description: GUI: gtk2, opengl
 Hardware accelerated (opengl) rendering on gtk2.

Package: pcb-rnd-import-net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-io
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Netlist/schematics import plugins.
 Import netlist and footprint information from edif, ltspice, mentor
 graphics, gschem and tinycad.

Package: librnd-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd2 (= ${binary:Version}), pcb-rnd-core
Description: pcb-rnd library, headers.
 HID, polygons, infrastructure for 3rd party applications.

Package: pcb-rnd-auto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-io
Description: Autoroute and autoplace.
 Feature plugins for automated component placing and track routing

Package: pcb-rnd-lib-io
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Support library for alien file formats.
 Provides generic, low level parsers (such as s-expression parser) for
 I/O plugins that need to deal with alien file formats.

Package: pcb-rnd-io-standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-io
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Commonly used non-native board and footprint file formats
 Plugins for tEDAx footprint format and the gEDA/PCB file formats
 (footprint and board).

Package: pcb-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Support library for building the GUI.
 Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: pcb-rnd-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: pcb-rnd executable with the core functionality
 Includes the data model, the most common action commands, the native
 file format and the CLI (batch HID). Does not contain GUI. Can be
 used in headless mode or batch/scripted mode for automated processing.

Package: pcb-rnd-lib-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-gui
Description: Support library for building the GUI with gtk.
 Provides the common gtk code (e.g. dialog box engine, input handling)
 for any gtk based HID plugin.

Package: pcb-rnd-hid-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-gui
Description: GUI: motif/lesstif, software render
 Lightweight GUI and software rendering using the motif (lesstif)
 toolkit.

Package: librnd2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: pcb-rnd library, binaries.
 HID, polygons, infrastructure for 3rd party applications.

Package: pcb-rnd-io-alien
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-io
Description: File format compatibility with other PCB layout designers.
 Load and/or save boards in file formats supported by other EDA tools,
 such as KiCAD, Eagle, protel/autotrax, etc.

Package: pcb-rnd-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wget, pcb-rnd-core
Description: Networking plugins.
 'Cloud' footprint access plugin that integrates edakrill and
 gedasymbols.org.

Package: pcb-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-export
Description: Export formats: special/extra
 Less commonly used export formats: fidocadj, ipc-356-d, direct
 printing with lpr.

Package: pcb-rnd-hid-gtk2-gdk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core, pcb-rnd-lib-gtk
Description: GUI: gtk2, software render
 Software rendering on gtk2, using the gdk API.

Package: pcb-rnd-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core
Description: Extra action commands and optional functionality.
 Align objects in grid, optimize tracks, font editor, combine
 polygons, renumber subcircuits, apply vendor drill mapping.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else
	dh $@
endif

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		--confdir=/etc/pcb-rnd \
		--prefix/libs/script/fungw=/dev/null \
		\
		--all=disable \
		--buildin-script \
		--buildin-fp_fs \
		--buildin-draw_fab \
		--buildin-act_read \
		--buildin-drc_query \
		--buildin-mincut \
		--buildin-report \
		--buildin-rubberband_orig \
		--buildin-exto_std \
		--buildin-fp_board \
		--buildin-propedit \
		--buildin-io_lihata \
		--buildin-autocrop \
		--buildin-lib_polyhelp \
		--buildin-draw_csect \
		--buildin-ddraft \
		--buildin-hid_batch \
		--buildin-act_draw \
		--buildin-tool_std \
		--buildin-query \
		--buildin-lib_compat_help \
		--buildin-shape \
		--buildin-lib_portynet \
		--buildin-lib_formula \
		--buildin-extedit \
		--plugin-export_excellon \
		--plugin-export_fidocadj \
		--plugin-export_lpr \
		--plugin-export_oldconn \
		--plugin-irc \
		--plugin-import_pxm_gd \
		--plugin-export_stat \
		--plugin-io_kicad_legacy \
		--plugin-io_eagle \
		--plugin-io_tedax \
		--plugin-import_gnetlist \
		--plugin-import_pxm_pnm \
		--plugin-io_kicad \
		--plugin-import_mucs \
		--plugin-renumber \
		--plugin-import_calay \
		--plugin-smartdisperse \
		--plugin-draw_fontsel \
		--plugin-polycombine \
		--plugin-export_gcode \
		--plugin-export_bom \
		--plugin-ar_cpcb \
		--plugin-lib_hid_pcbui \
		--plugin-teardrops \
		--plugin-shand_cmd \
		--plugin-import_tinycad \
		--plugin-export_openems \
		--plugin-import_ltspice \
		--plugin-export_dxf \
		--plugin-lib_gtk_common \
		--plugin-export_ipcd356 \
		--plugin-import_ttf \
		--plugin-import_mentor_sch \
		--plugin-import_dsn \
		--plugin-export_ps \
		--plugin-hid_gtk2_gdk \
		--plugin-millpath \
		--plugin-djopt \
		--plugin-hid_gtk2_gl \
		--plugin-import_edif \
		--plugin-hid_lesstif \
		--plugin-lib_gensexpr \
		--plugin-import_sch2 \
		--plugin-diag \
		--plugin-lib_wget \
		--plugin-lib_hid_gl \
		--plugin-export_stl \
		--plugin-autoplace \
		--plugin-export_svg \
		--plugin-import_net_cmd \
		--plugin-fp_wget \
		--plugin-fontmode \
		--plugin-import_netlist \
		--plugin-polystitch \
		--plugin-dialogs \
		--plugin-io_dsn \
		--plugin-export_xy \
		--plugin-import_hpgl \
		--plugin-export_png \
		--plugin-import_ipcd356 \
		--plugin-export_dsn \
		--plugin-lib_netmap \
		--plugin-lib_hid_common \
		--plugin-io_hyp \
		--plugin-cam \
		--plugin-puller \
		--plugin-import_fpcb_nl \
		--plugin-io_pcb \
		--plugin-distalign \
		--plugin-asm \
		--plugin-export_openscad \
		--plugin-jostle \
		--plugin-autoroute \
		--plugin-io_autotrax \
		--plugin-vendordrill \
		--plugin-export_gerber \
		--plugin-io_bxl \
		--plugin-import_net_action \
